Subject: Re: PowerPC radeon KMS - is it possible?

From: "Gerhard Pircher" <[email-masked]>
Date: Wed, 18 Apr 2012 18:23:37 +0200

-------- Original-Nachricht --------
> Datum: Wed, 18 Apr 2012 18:06:36 +0200
> Von: "Michel Dänzer" <[email-masked]>
> An: Gerhard Pircher <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> Betreff: Re: PowerPC radeon KMS - is it possible?

> On Mit, 2012-04-18 at 17:49 +0200, Gerhard Pircher wrote: 
> > > Von: "Michel Dänzer" <[email-masked]>
> > > On Mit, 2012-04-18 at 16:55 +0200, Andreas Schwab wrote: 
> > > > Michel Dänzer <[email-masked]> writes:
> > > > 
> > > > > On Mit, 2012-04-18 at 16:28 +0200, Andreas Schwab wrote: 
> > > > >> Michel Dänzer <[email-masked]> writes:
> > > > >> 
> > > > >> > Have you tried smaller aperture sizes (uninorth_agp.aperture)
> > > > >> > and/or radeon.test=1? (See commit
> > > > >> > 52f072cb084bbb460d3a4ae09f0b6efc3e7e8a8c)
> > > > >> 
> > > > >> Neither changes anything.
> > > > >
> > > > > How small aperture sizes have you tried?
> > > > 
> > > > 32M. With the old UMS driver 3D once worked fine ...
> > > 
> > > That doesn't necessarily mean much per se, as with UMS memory is
> > > only statically mapped into the AGP GART once (so most of those
> > > 32M are wasted at least most of the time), whereas with KMS it's
> > > dynamically (un)mapped on demand.
> > That may be a stupid question, but is it allowed (for a DRM client or
> > whatever does the mapping) to change the content of a page mapped into
> > the AGP GART or is it necessary to explicitly unmap the page, change
> > its content and map it again?
> 
> The former.
I know that the uninorth AGPGART driver does a cache flushing for newly
mapped pages, but is there any code in the driver that handles the
former case (or isn't this necessary on PPC Macs)?

> > I would say it's necessary to unmap the page first (sounds more like
> > the pci_[un]map_page() approach) - at least when it should work with
> > non-coherent architectures, too.
> 
> I'm afraid non-coherent platforms haven't really been a concern yet for
> KMS, and always doing the above dance would probably have a significant
> performance impact on coherent platforms.
Are there any plans for a page flushing API? I suppose that wouldn't
have such a big performance impact on coherent platforms (but probably
an impact on the userspace API).

Thanks!

Gerhard
-- 
Empfehlen Sie GMX DSL Ihren Freunden und Bekannten und wir
belohnen Sie mit bis zu 50,- Euro! https://freundschaftswerbung.gmx.de